aboutsummaryrefslogtreecommitdiffstats
path: root/package/base-files/au1000-2.6/sbin/mount_root
diff options
context:
space:
mode:
authorFelix Fietkau <nbd@openwrt.org>2006-05-31 12:33:06 +0000
committerFelix Fietkau <nbd@openwrt.org>2006-05-31 12:33:06 +0000
commit9b305384e499a08d7918f042647d892257d8d733 (patch)
tree2ce0bc400b799c0dbdb322d4e5b6314179fbc31a /package/base-files/au1000-2.6/sbin/mount_root
parent7aeb1b7e58c056c7a7ee043be810caf0f15fb540 (diff)
downloadupstream-9b305384e499a08d7918f042647d892257d8d733.tar.gz
upstream-9b305384e499a08d7918f042647d892257d8d733.tar.bz2
upstream-9b305384e499a08d7918f042647d892257d8d733.zip
allow building of kernel-specific stuff in package/ instead of target/linux/package/ and merge target/linux/package/base-files into package/base-files
git-svn-id: svn://svn.openwrt.org/openwrt/branches/buildroot-ng/openwrt@3855 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/base-files/au1000-2.6/sbin/mount_root')
-rwxr-xr-xpackage/base-files/au1000-2.6/sbin/mount_root23
1 files changed, 23 insertions, 0 deletions
diff --git a/package/base-files/au1000-2.6/sbin/mount_root b/package/base-files/au1000-2.6/sbin/mount_root
new file mode 100755
index 0000000000..5dd1b0c562
--- /dev/null
+++ b/package/base-files/au1000-2.6/sbin/mount_root
@@ -0,0 +1,23 @@
+#!/bin/sh
+size=$(awk '/Mem:/ {l=5242880;print((s=$2/2)<l)?$2-l:s}' /proc/meminfo)
+mount none /tmp -t tmpfs -o size=$size
+
+if [ "$1" != "failsafe" ]; then
+ mtd unlock filesystem
+ mount | grep jffs2 >&-
+ if [ $? = 0 ] ; then
+ if [ $(cat /proc/mtd | wc -l) = 6 ]; then
+ mtd erase filesystem
+ jffs2root --move
+ else
+ mount -o remount,rw /dev/root /
+ fi
+ else
+ . /bin/firstboot
+ fi
+fi
+
+mount none /tmp -t tmpfs -o remount,nosuid,nodev,mode=1777
+mkdir -p /dev/pts
+mount none /dev/pts -t devpts
+mount -t sysfs none /sys 2>&-